Videos

Delete video

DELETE/videos/{videoId}/delete

Delete a video by its ID within a project

Authorization

ApiKeyAuth
X-API-Key<token>

Internal API key for service-to-service communication.

In: header

Path Parameters

videoId*string

Video ID

Response Body

204

Video deleted successfully

400application/json

Invalid project ID or video ID

type: object

code?integer

HTTP status code

details?string

Optional details about the error

error?string

Error message describing what went wrong

401application/json

Unauthorized

type: object

code?integer

HTTP status code

details?string

Optional details about the error

error?string

Error message describing what went wrong

403application/json

Access denied

type: object

code?integer

HTTP status code

details?string

Optional details about the error

error?string

Error message describing what went wrong

404application/json

Video not found

type: object

code?integer

HTTP status code

details?string

Optional details about the error

error?string

Error message describing what went wrong

500application/json

Failed to delete video

type: object

code?integer

HTTP status code

details?string

Optional details about the error

error?string

Error message describing what went wrong

curl -X DELETE "https://api.rixl.com/videos/V3idRI23XL/delete"
fetch("https://api.rixl.com/videos/V3idRI23XL/delete", {
  method: "DELETE"
})
package main

import (
  "fmt"
  "net/http"
  "io/ioutil"
)

func main() {
  url := "https://api.rixl.com/videos/V3idRI23XL/delete"

  req, _ := http.NewRequest("DELETE", url, nil)
  
  res, _ := http.DefaultClient.Do(req)
  defer res.Body.Close()
  body, _ := ioutil.ReadAll(res.Body)

  fmt.Println(res)
  fmt.Println(string(body))
}
import requests

url = "https://api.rixl.com/videos/V3idRI23XL/delete"

response = requests.request("DELETE", url)

print(response.text)
import java.net.URI;
import java.net.http.HttpClient;
import java.net.http.HttpRequest;
import java.net.http.HttpResponse;
import java.net.http.HttpResponse.BodyHandlers;
import java.time.Duration;

HttpClient client = HttpClient.newBuilder()
  .connectTimeout(Duration.ofSeconds(10))
  .build();

HttpRequest.Builder requestBuilder = HttpRequest.newBuilder()
  .uri(URI.create("https://api.rixl.com/videos/V3idRI23XL/delete"))
  .DELETE()
  .build();

try {
  HttpResponse<String> response = client.send(requestBuilder.build(), BodyHandlers.ofString());
  System.out.println("Status code: " + response.statusCode());
  System.out.println("Response body: " + response.body());
} catch (Exception e) {
  e.printStackTrace();
}
using System;
using System.Net.Http;
using System.Text;

var client = new HttpClient();
var response = await client.DeleteAsync("https://api.rixl.com/videos/V3idRI23XL/delete");
var responseBody = await response.Content.ReadAsStringAsync();

Video deleted successfully

Invalid project ID or video ID

application/json

{
  "code": 400,
  "details": "The provided ID is not valid",
  "error": "Invalid project ID or video ID"
}

Unauthorized

application/json

{
  "code": 401,
  "details": "The provided ID is not valid",
  "error": "Unauthorized"
}

Access denied

application/json

{
  "code": 403,
  "details": "The provided ID is not valid",
  "error": "Access denied"
}

Video not found

application/json

{
  "code": 404,
  "details": "The provided ID is not valid",
  "error": "Video not found"
}

Failed to delete video

application/json

{
  "code": 500,
  "details": "The provided ID is not valid",
  "error": "Failed to delete video"
}